GRSThtcpMessage Struct Reference

`#include <gridsite.h>`

## Data Fields

unsigned char | total_length_msb
unsigned char | total_length_lsb
unsigned char | version_msb
unsigned char | version_lsb
unsigned char | data_length_msb
unsigned char | data_length_lsb
unsigned int | response: 4
unsigned int | opcode: 4
unsigned int | rr: 1
unsigned int | f1: 1
unsigned int | reserved: 6
unsigned int | trans_id
GRSThtcpCountstr * | method
GRSThtcpCountstr * | uri
GRSThtcpCountstr * | version
GRSThtcpCountstr * | req_hdrs
GRSThtcpCountstr * | resp_hdrs
GRSThtcpCountstr * | entity_hdrs
GRSThtcpCountstr * | cache_hdrs

## Field Documentation

## cache_hdrs

GRSThtcpCountstr* GRSThtcpMessage::cache_hdrs

## data_length_lsb

unsigned char GRSThtcpMessage::data_length_lsb

## data_length_msb

unsigned char GRSThtcpMessage::data_length_msb

## entity_hdrs

GRSThtcpCountstr* GRSThtcpMessage::entity_hdrs

## f1

unsigned int GRSThtcpMessage::f1

## method

GRSThtcpCountstr* GRSThtcpMessage::method

## opcode

unsigned int GRSThtcpMessage::opcode

## req_hdrs

GRSThtcpCountstr* GRSThtcpMessage::req_hdrs

## reserved

unsigned int GRSThtcpMessage::reserved

## resp_hdrs

GRSThtcpCountstr* GRSThtcpMessage::resp_hdrs

## response

unsigned int GRSThtcpMessage::response

## rr

unsigned int GRSThtcpMessage::rr

## total_length_lsb

unsigned char GRSThtcpMessage::total_length_lsb

## total_length_msb

unsigned char GRSThtcpMessage::total_length_msb

## trans_id

unsigned int GRSThtcpMessage::trans_id

## uri

GRSThtcpCountstr* GRSThtcpMessage::uri

## version

GRSThtcpCountstr* GRSThtcpMessage::version

## version_lsb

unsigned char GRSThtcpMessage::version_lsb

## version_msb

unsigned char GRSThtcpMessage::version_msb